最近在网站搬家过程中,我使用的是duplicator插件,这个插件的好处就是可以将本地的wordpress整站搬家到在线网站,能自动替换所有的链接,一直是我喜欢用的,但是最近遇到几个网站都不能使用,原因都是一个:

unknown character set utf8mb4

遇到这个问题思索了很久,才发现是主机的mysql版本问题,mysql版本是5.1,只支持utf8字符,而新型的主机一般都在使用mysql 5.5版本以上,5.5版本的支持utf8mb4字符,所以5.5的数据搬到5.1上必然出现不兼容,这也同时说明:

安装 wp migrate db

安装之后点击setting,懒猴看下图:

兼容mysql 5.5版本以前的数据库

当然这也说明,如果你新买的主机mysql版本很老又不能升级,那么只能使用这个插件手动搬家了,参考之前的文章wordpress搬家与备份

最后我还想说一句:骚年,你该买个好的主机了!